VueSSRPlugin

Deprecated

Since effector 23.0.0 VueSSRPlugin is deprecated. Use EffectorScopePlugin instead.

The Plugin provides a general scope which needs for read and update effector’s stores, call effector’s events. Required for SSR.

Arguments

  1. scope Scope
  2. scopeName? custom scopeName (default: root)
import {createSSRApp} from "vue"
import {VueSSRPlugin} from "effector-vue/ssr
import {fork} from "effector"

const app = createSSRApp(AppComponent)
const scope = fork()

app.use(VueSSRPlugin({
  scope,
  scopeName: "app-scope-name"
}))
Contributors